Package com.io7m.idstore.protocol.user.cb

# Record Class IdU1Password

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.user.cb.IdU1Password

Record Components:
  `fieldAlgorithm` - The password algorithm.
  `fieldHash` - The password hash.
  `fieldSalt` - The password salt.
  `fieldExpires` - The password expiration date.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record IdU1Password(com.io7m.cedarbridge.runtime.api.CBString fieldAlgorithm, com.io7m.cedarbridge.runtime.api.CBString fieldHash, com.io7m.cedarbridge.runtime.api.CBString fieldSalt, com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.time.CBOffsetDateTime> fieldExpires) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
Information for a hashed password.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdU1Password(com.io7m.cedarbridge.runtime.api.CBString fieldAlgorithm, com.io7m.cedarbridge.runtime.api.CBString fieldHash, com.io7m.cedarbridge.runtime.api.CBString fieldSalt, com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.time.CBOffsetDateTime> fieldExpires)`
  Creates an instance of a `IdU1Password` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdU1Password`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdU1Password.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldAlgorithm()`
  Returns the value of the `fieldAlgorithm` record component.
  `com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.time.CBOffsetDateTime>`
  `fieldExpires()`
  Returns the value of the `fieldExpires` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldHash()`
  Returns the value of the `fieldHash` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldSalt()`
  Returns the value of the `fieldSalt` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdU1Password $x)`
  Serialize a value of type IdU1Password.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdU1Password

    public IdU1Password(com.io7m.cedarbridge.runtime.api.CBString fieldAlgorithm, com.io7m.cedarbridge.runtime.api.CBString fieldHash, com.io7m.cedarbridge.runtime.api.CBString fieldSalt, com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.time.CBOffsetDateTime> fieldExpires)
    Creates an instance of a `IdU1Password` record class.
    Parameters:
      `fieldAlgorithm` - the value for the `fieldAlgorithm` record component
      `fieldHash` - the value for the `fieldHash` record component
      `fieldSalt` - the value for the `fieldSalt` record component
      `fieldExpires` - the value for the `fieldExpires` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdU1Password $x) throws IOException
    Serialize a value of type IdU1Password.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdU1Password deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdU1Password.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdU1Password.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldAlgorithm

    public com.io7m.cedarbridge.runtime.api.CBString fieldAlgorithm()
    Returns the value of the `fieldAlgorithm` record component.
    Returns:
      the value of the `fieldAlgorithm` record component

  - ### fieldHash

    public com.io7m.cedarbridge.runtime.api.CBString fieldHash()
    Returns the value of the `fieldHash` record component.
    Returns:
      the value of the `fieldHash` record component

  - ### fieldSalt

    public com.io7m.cedarbridge.runtime.api.CBString fieldSalt()
    Returns the value of the `fieldSalt` record component.
    Returns:
      the value of the `fieldSalt` record component

  - ### fieldExpires

    public com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.time.CBOffsetDateTime> fieldExpires()
    Returns the value of the `fieldExpires` record component.
    Returns:
      the value of the `fieldExpires` record component